Page MenuHomeFreeBSD

Uses/cmake.mk: Replace CMAKE_ENV with CONFIGURE_ENV.
ClosedPublic

Authored by rakuco on Aug 17 2015, 9:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 14 2017, 1:15 PM
Unknown Object (File)
Apr 13 2017, 2:24 AM
Unknown Object (File)
Apr 12 2017, 4:27 AM
Unknown Object (File)
Apr 11 2017, 1:34 PM
Unknown Object (File)
Apr 10 2017, 6:05 PM
Unknown Object (File)
Mar 31 2017, 7:56 AM
Unknown Object (File)
Mar 28 2017, 1:06 PM
Unknown Object (File)
Dec 7 2016, 9:09 AM
Subscribers
None

Details

Summary

Instead of defining a variable that is almost always based on CONFIGURE_ENV, just use CONFIGURE_ENV directly. This also matches the behavior of other ports that do not use autotools (so most ports can just worry about CONFIGURE_ENV). Additionally, the fact that we do not use ?= means we do not have problems if another file in Uses/ needs to set CONFIGURE_ENV (with CMAKE_ENV, the order of the arguments to USES would matter).

Test Plan

All mentioned ports have been tested with the change and build fine on 9.3-i386.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rakuco retitled this revision from to Uses/cmake.mk: Replace CMAKE_ENV with CONFIGURE_ENV..
rakuco updated this object.
rakuco edited the test plan for this revision. (Show Details)
makc edited edge metadata.
makc added inline comments.
math/eigen3/Makefile
17 ↗(On Diff #8015)

LOCALBASE is incorrectly used here instead of PREFIX

This revision is now accepted and ready to land.Aug 17 2015, 10:38 PM
rakuco added inline comments.
math/eigen3/Makefile
17 ↗(On Diff #8015)

Fixed in rP394563.

This revision was automatically updated to reflect the committed changes.